Bug 1415086 - openldap should not require nss-tools
Summary: openldap should not require nss-tools
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openldap
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matus Honek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 08:24 UTC by Petr Pisar
Modified: 2017-07-07 16:17 UTC (History)
3 users (show)

Fixed In Version: openldap-2.4.44-12.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-07 16:17:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2017-01-20 08:24:36 UTC
openldap-2.4.44-2.fc25.x86_64 package run-requires nss-tools package. I think the dependency is not needed and should be removed.

nss-tools package provides only executable programs and simple search for their names (certutil|cmsutil|crlutil|modutil|pk12util|signtool|signver|ssltap|unsupported-tools) in openldap files did find any occurrences.

Comment 1 Matus Honek 2017-01-20 10:05:32 UTC
Petr,

Correct, it should not be in Requires. However, as OpenLDAP is currently compiled with NSS and OpenLDAP's documentation has plenty of examples of how to manage an NSS database, I would like to keep it as a Recommends, at least. What do you think, is this plausible?

Anyway, thanks to bug 1400570 all NSS dependencies should go away in approx. two Fedora releases.

Comment 2 Petr Pisar 2017-01-20 10:17:05 UTC
Recommends is good.

Comment 3 Fedora End Of Life 2017-02-28 11:01:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.


Note You need to log in before you can comment on or make changes to this bug.